Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.PI
Class SimpleIORInterceptor

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.PI.SimpleIORInterceptor

All Implemented Interfaces:
  IDLEntity, Interceptor, InterceptorOperations, IORInterceptor, IORInterceptorOperations, Object, java.io.Serializable

public class SimpleIORInterceptor
extends LocalObject
implements IORInterceptor

This interceptor will add a single or multiple components to the IIOP profile

Version:
  $Revision: 1.5 $ $Date: 2002/07/14 18:55:11 $
Author:
  Chris Wood
See Also:
  Serialized Form

Constructor Summary
`SimpleIORInterceptor(int profile, TaggedComponent component)` Add single component to the identified profile.
`SimpleIORInterceptor(int profile, TaggedComponent[] components)` Add some components to the identified profile.
`SimpleIORInterceptor(java.lang.String name, int profile, TaggedComponent component)` Add single component to the identified profile.
`SimpleIORInterceptor(java.lang.String name, int profile, TaggedComponent[] components)` Add some components to the identified profile.

Method Summary
`void` | `destroy()` Operation destroy
`void` | `establish_components(IORInfo info)` Operation establish_components
`java.lang.String` | `name()` Read accessor for name attribute

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### SimpleIORInterceptor

    public SimpleIORInterceptor(int profile,
                                TaggedComponent component)

  Add single component to the identified profile.
  Parameters:
    `profile` - profile to add component to.
    `component` - component to add.

### SimpleIORInterceptor

    public SimpleIORInterceptor(java.lang.String name,
                                int profile,
                                TaggedComponent component)

  Add single component to the identified profile.
  Parameters:
    `name` - name of the interceptor. Use to ensure unequeness.
    `profile` - profile to add component to.
    `components` - component to add.

### SimpleIORInterceptor

    public SimpleIORInterceptor(int profile,
                                TaggedComponent[] components)

  Add some components to the identified profile.
  Parameters:
    `profile` - profile to add component to.
    `components` - components to add.

### SimpleIORInterceptor

    public SimpleIORInterceptor(java.lang.String name,
                                int profile,
                                TaggedComponent[] components)

  Add some components to the identified profile.
  Parameters:
    `name` - name of the interceptor. Use to ensure unequeness.
    `profile` - profile to add component to.
    `components` - components to add.

Method Detail

### establish_components

    public void establish_components(IORInfo info)

  Description copied from interface: `IORInterceptorOperations`
  Operation establish_components
  Specified by:
    `establish_components` in interface `IORInterceptorOperations`

### name

    public java.lang.String name()

  Description copied from interface: `InterceptorOperations`
  Read accessor for name attribute
  Specified by:
    `name` in interface `InterceptorOperations`
  Following copied from interface: `org.omg.PortableInterceptor.InterceptorOperations`
  Returns:
    the attribute value

### destroy

    public void destroy()

  Description copied from interface: `InterceptorOperations`
  Operation destroy
  Specified by:
    `destroy` in interface `InterceptorOperations`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD